Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.node
Class UserLayoutChannelDescription

    java.lang.Object
      org.jasig.portal.layout.node.UserLayoutNodeDescription
          org.jasig.portal.layout.node.UserLayoutChannelDescription

All Implemented Interfaces:
  IUserLayoutChannelDescription, IUserLayoutNodeDescription

Direct Known Subclasses:
  ALChannelDescription

    public class UserLayoutChannelDescription

extends UserLayoutNodeDescription
implements IUserLayoutChannelDescription

A class managing information contained in a user layout channel node.

Version:
  1.0
Author:
  Peter Kharchenko

Field Summary
`(package private) java.lang.String` | `channelPublishId`
`(package private) java.lang.String` | `channelTypeId`
`(package private) java.lang.String` | `className`
`(package private) java.lang.String` | `description`
`(package private) boolean` | `editable`
`(package private) java.lang.String` | `functionalName`
`(package private) boolean` | `hasAbout`
`(package private) boolean` | `hasHelp`
`(package private) boolean` | `isSecure`
`private static org.apache.commons.logging.Log` | `log`
`(package private) java.util.Hashtable` | `override`
`(package private) java.util.Hashtable` | `parameters`
`(package private) long` | `timeout`
`(package private) java.lang.String` | `title`

Fields inherited from class org.jasig.portal.layout.node.UserLayoutNodeDescription
`addChildAllowed, deleteAllowed, editAllowed, hidden, id, immutable, moveAllowed, name, precedence, unremovable`

Fields inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`CHANNEL, FOLDER`

Constructor Summary
`UserLayoutChannelDescription()`
`UserLayoutChannelDescription(org.w3c.dom.Element xmlNode)` Reconstruct channel information from an xml `Element`
`UserLayoutChannelDescription(IUserLayoutChannelDescription d)`

Method Summary
`void` | `addNodeAttributes(org.w3c.dom.Element node)` Add all of common node attributes to the `Element`.
`void` | `addParameterChildren(org.w3c.dom.Element node, org.w3c.dom.Document root)`
`boolean` | `canOverrideParameter(java.lang.String parameterName)` Determine if a given parameter can be overriden by the user.
`void` | `clearParameters()` Clears all of the channel parameters.
`boolean` | `containsParameter(java.lang.String parameterName)` Determines if a certain parameter name is present.
`java.lang.String` | `getChannelPublishId()` Get the value of channelPublishId for this channel.
`java.lang.String` | `getChannelSubscribeId()` Get the value of channelSubscribeId.
`java.lang.String` | `getChannelTypeId()` Get the value of channelTypeId.
`java.lang.String` | `getClassName()` Get the value of className implementing this channel.
`java.lang.String` | `getDescription()` Get the value of description.
`java.lang.String` | `getFunctionalName()` Get the value of functionalName.
`java.util.Map` | `getParameterMap()` Returns an entire mapping of parameters.
`java.util.Enumeration` | `getParameterNames()` Obtain a set of channel parameter names.
`boolean` | `getParameterOverrideValue(java.lang.String parameterName)` Obtain a channel parameter override value.
`java.lang.String` | `getParameterValue(java.lang.String parameterName)` Obtain a channel parameter value.
`java.util.Collection` | `getParameterValues()` Obtain values of all existing channel parameters.
`long` | `getTimeout()` Get the value of channel timeout in milliseconds.
`java.lang.String` | `getTitle()` Get the value of title.
`int` | `getType()` Returns a type of the node, could be FOLDER or CHANNEL integer constant.
`org.w3c.dom.Element` | `getXML(org.w3c.dom.Document root)` Creates a `org.w3c.dom.Element` representation of the current channel.
`boolean` | `hasAbout()` Determine if the channel supports "about" action.
`boolean` | `hasHelp()` Determine if the channel supports "help" action.
`boolean` | `hasParameters()` Determine if the channel has any parameters.
`boolean` | `isEditable()` Determine if the channel is editable.
`boolean` | `isPortlet()` Get the channel type for portlet / not portlet
`boolean` | `isSecure()` Get the value of secure setting.
`int` | `numberOfParameters()` Determines the number of existing channel parameters.
`java.lang.String` | `remove(java.lang.String parameterName)` Remove a channel parameter.
`void` | `setChannelPublishId(java.lang.String v)` Set the value of channelPublishId for this channel.
`void` | `setChannelSubscribeId(java.lang.String v)` Set the value of channelSubscribeId.
`void` | `setChannelTypeId(java.lang.String v)` Set the value of channelTypeId.
`void` | `setClassName(java.lang.String v)` Set the value of className implementing this channel.
`void` | `setDescription(java.lang.String v)` Set the value of description.
`void` | `setEditable(boolean v)` Specify whether the channel is editable.
`void` | `setFunctionalName(java.lang.String v)` Set the value of functionalName.
`void` | `setHasAbout(boolean v)` Specify whether the channel supports "about" action.
`void` | `setHasHelp(boolean v)` Specify whether the channel supports "help" action.
`void` | `setIsSecure(boolean secure)` Set the value of channel secure setting.
`void` | `setParameterOverride(java.lang.String parameterName, boolean canOverride)` Set parameter override flag.
`java.lang.String` | `setParameterValue(java.lang.String parameterName, java.lang.String parameterValue)` Set a channel parameter value.
`void` | `setTimeout(long v)` Set the value of channel timeout in milliseconds.
`void` | `setTitle(java.lang.String v)` Set the value of title.
`java.lang.String` | `toString()`

Methods inherited from class org.jasig.portal.layout.node.UserLayoutNodeDescription
`createUserLayoutNodeDescription, getId, getName, getPrecedence, isAddChildAllowed, isDeleteAllowed, isEditAllowed, isHidden, isImmutable, isMoveAllowed, isUnremovable, setAddChildAllowed, setDeleteAllowed, setEditAllowed, setHidden, setId, setImmutable, setMoveAllowed, setName, setPrecedence, setUnremovable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`getId, getName, getPrecedence, isAddChildAllowed, isDeleteAllowed, isEditAllowed, isHidden, isImmutable, isMoveAllowed, isUnremovable, setAddChildAllowed, setDeleteAllowed, setEditAllowed, setHidden, setId, setImmutable, setMoveAllowed, setName, setPrecedence, setUnremovable`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### parameters

    java.util.Hashtable parameters

### override

    java.util.Hashtable override

### title

    java.lang.String title

### description

    java.lang.String description

### className

    java.lang.String className

### channelPublishId

    java.lang.String channelPublishId

### channelTypeId

    java.lang.String channelTypeId

### functionalName

    java.lang.String functionalName

### timeout

    long timeout

### editable

    boolean editable

### hasHelp

    boolean hasHelp

### hasAbout

    boolean hasAbout

### isSecure

    boolean isSecure

Constructor Detail

### UserLayoutChannelDescription

    public UserLayoutChannelDescription()

### UserLayoutChannelDescription

    public UserLayoutChannelDescription(IUserLayoutChannelDescription d)

### UserLayoutChannelDescription

    public UserLayoutChannelDescription(org.w3c.dom.Element xmlNode)
                                 throws PortalException

  Reconstruct channel information from an xml `Element`

  Parameters:
    `xmlNode` - a user layout channel `Element` value
  Throws:
    `PortalException` - if xml is malformed

Method Detail

### hasAbout

    public boolean hasAbout()

  Determine if the channel supports "about" action.

  Specified by:
    `hasAbout` in interface `IUserLayoutChannelDescription`
  Returns:
    value of hasAbout.

### setHasAbout

    public void setHasAbout(boolean v)

  Specify whether the channel supports "about" action.

  Specified by:
    `setHasAbout` in interface `IUserLayoutChannelDescription`
  Parameters:
    `v` - Value to assign to hasAbout.

### hasHelp

    public boolean hasHelp()

  Determine if the channel supports "help" action.

  Specified by:
    `hasHelp` in interface `IUserLayoutChannelDescription`
  Returns:
    value of hasHelp.

### setHasHelp

    public void setHasHelp(boolean v)

  Specify whether the channel supports "help" action.

  Specified by:
    `setHasHelp` in interface `IUserLayoutChannelDescription`
  Parameters:
    `v` - Value to assign to hasHelp.

### isEditable

    public boolean isEditable()

  Determine if the channel is editable.

  Specified by:
    `isEditable` in interface `IUserLayoutChannelDescription`
  Returns:
    value of editable.

### setEditable

    public void setEditable(boolean v)

  Specify whether the channel is editable.

  Specified by:
    `setEditable` in interface `IUserLayoutChannelDescription`
  Parameters:
    `v` - Value to assign to editable.

### getTimeout

    public long getTimeout()

  Get the value of channel timeout in milliseconds.

  Specified by:
    `getTimeout` in interface `IUserLayoutChannelDescription`
  Returns:
    value of timeout.

### setTimeout

    public void setTimeout(long v)

  Set the value of channel timeout in milliseconds.

  Specified by:
    `setTimeout` in interface `IUserLayoutChannelDescription`
  Parameters:
    `v` - Value to assign to timeout.

### isSecure

    public boolean isSecure()

  Get the value of secure setting.

  Specified by:
    `isSecure` in interface `IUserLayoutChannelDescription`
  Returns:
    value of secure.

### setIsSecure

    public void setIsSecure(boolean secure)

  Set the value of channel secure setting.

  Specified by:
    `setIsSecure` in interface `IUserLayoutChannelDescription`
  Parameters:
    `secure` - Value to assign to secure

### isPortlet

    public boolean isPortlet()

  Get the channel type for portlet / not portlet

  Specified by:
    `isPortlet` in interface `IUserLayoutChannelDescription`
  Returns:
    the channel type for portlet / not portlet

### getFunctionalName

    public java.lang.String getFunctionalName()

  Get the value of functionalName.

  Specified by:
    `getFunctionalName` in interface `IUserLayoutChannelDescription`
  Returns:
    value of functionalName.

### setFunctionalName

    public void setFunctionalName(java.lang.String v)

  Set the value of functionalName.

  Specified by:
    `setFunctionalName` in interface `IUserLayoutChannelDescription`
  Parameters:
    `v` - Value to assign to functionalName.

### getChannelSubscribeId

    public java.lang.String getChannelSubscribeId()

  Get the value of channelSubscribeId.

  Specified by:
    `getChannelSubscribeId` in interface `IUserLayoutChannelDescription`
  Returns:
    value of channelSubscribeId.

### setChannelSubscribeId

    public void setChannelSubscribeId(java.lang.String v)

  Set the value of channelSubscribeId.

  Specified by:
    `setChannelSubscribeId` in interface `IUserLayoutChannelDescription`
  Parameters:
    `v` - Value to assign to channelSubscribeId.

### getChannelTypeId

    public java.lang.String getChannelTypeId()

  Get the value of channelTypeId.

  Specified by:
    `getChannelTypeId` in interface `IUserLayoutChannelDescription`
  Returns:
    value of channelTypeId.

### setChannelTypeId

    public void setChannelTypeId(java.lang.String v)

  Set the value of channelTypeId.

  Specified by:
    `setChannelTypeId` in interface `IUserLayoutChannelDescription`
  Parameters:
    `v` - Value to assign to channelTypeId.

### getChannelPublishId

    public java.lang.String getChannelPublishId()

  Get the value of channelPublishId for this channel.

  Specified by:
    `getChannelPublishId` in interface `IUserLayoutChannelDescription`
  Returns:
    value of channelPublishId.

### setChannelPublishId

    public void setChannelPublishId(java.lang.String v)

  Set the value of channelPublishId for this channel.

  Specified by:
    `setChannelPublishId` in interface `IUserLayoutChannelDescription`
  Parameters:
    `v` - Value to assign to channelPublishId.

### getClassName

    public java.lang.String getClassName()

  Get the value of className implementing this channel.

  Specified by:
    `getClassName` in interface `IUserLayoutChannelDescription`
  Returns:
    value of className.

### setClassName

    public void setClassName(java.lang.String v)

  Set the value of className implementing this channel.

  Specified by:
    `setClassName` in interface `IUserLayoutChannelDescription`
  Parameters:
    `v` - Value to assign to className.

### getTitle

    public java.lang.String getTitle()

  Get the value of title.

  Specified by:
    `getTitle` in interface `IUserLayoutChannelDescription`
  Returns:
    value of title.

### setTitle

    public void setTitle(java.lang.String v)

  Set the value of title.

  Specified by:
    `setTitle` in interface `IUserLayoutChannelDescription`
  Parameters:
    `v` - Value to assign to title.

### getDescription

    public java.lang.String getDescription()

  Get the value of description.

  Specified by:
    `getDescription` in interface `IUserLayoutChannelDescription`
  Returns:
    value of description.

### setDescription

    public void setDescription(java.lang.String v)

  Set the value of description.

  Specified by:
    `setDescription` in interface `IUserLayoutChannelDescription`
  Parameters:
    `v` - Value to assign to description.

### setParameterValue

    public java.lang.String setParameterValue(java.lang.String parameterName,
                                              java.lang.String parameterValue)

  Set a channel parameter value.

  Specified by:
    `setParameterValue` in interface `IUserLayoutChannelDescription`
  Parameters:
    `parameterValue` - a `String` value
    `parameterName` - a `String` value
  Returns:
    a `String` value that was set.

### getParameterValue

    public java.lang.String getParameterValue(java.lang.String parameterName)

  Obtain a channel parameter value.

  Specified by:
    `getParameterValue` in interface `IUserLayoutChannelDescription`
  Parameters:
    `parameterName` - a `String` value
  Returns:
    a `String` value

### getParameterOverrideValue

    public boolean getParameterOverrideValue(java.lang.String parameterName)

  Obtain a channel parameter override value.

  Specified by:
    `getParameterOverrideValue` in interface `IUserLayoutChannelDescription`
  Parameters:
    `parameterName` - a `String` value
  Returns:
    a `boolean` value

### getParameterValues

    public java.util.Collection getParameterValues()

  Obtain values of all existing channel parameters.

  Specified by:
    `getParameterValues` in interface `IUserLayoutChannelDescription`
  Returns:
    a `Collection` of `String` parameter values.

### numberOfParameters

    public int numberOfParameters()

  Determines the number of existing channel parameters.

  Specified by:
    `numberOfParameters` in interface `IUserLayoutChannelDescription`
  Returns:
    an `int` value

### clearParameters

    public void clearParameters()

  Clears all of the channel parameters.

  Specified by:
    `clearParameters` in interface `IUserLayoutChannelDescription`

### canOverrideParameter

    public boolean canOverrideParameter(java.lang.String parameterName)

  Determine if a given parameter can be overriden by the user. (defaults to true)

  Specified by:
    `canOverrideParameter` in interface `IUserLayoutChannelDescription`
  Parameters:
    `parameterName` - a `String` value
  Returns:
    a `boolean` value

### setParameterOverride

    public void setParameterOverride(java.lang.String parameterName,
                                     boolean canOverride)

  Set parameter override flag.

  Specified by:
    `setParameterOverride` in interface `IUserLayoutChannelDescription`
  Parameters:
    `parameterName` - a `String` value
    `canOverride` - a `boolean` flag.

### remove

    public java.lang.String remove(java.lang.String parameterName)

  Remove a channel parameter.

  Specified by:
    `remove` in interface `IUserLayoutChannelDescription`
  Parameters:
    `parameterName` - a `String` parameter name.
  Returns:
    an old parameter value.

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Obtain a set of channel parameter names.

  Specified by:
    `getParameterNames` in interface `IUserLayoutChannelDescription`
  Returns:
    a `Set` of `String` parameter names.

### getParameterMap

    public java.util.Map getParameterMap()

  Returns an entire mapping of parameters.

  Specified by:
    `getParameterMap` in interface `IUserLayoutChannelDescription`
  Returns:
    a `Map` of parameter names on parameter values.

### hasParameters

    public boolean hasParameters()

  Determine if the channel has any parameters.

  Specified by:
    `hasParameters` in interface `IUserLayoutChannelDescription`
  Returns:
    a `boolean` value

### containsParameter

    public boolean containsParameter(java.lang.String parameterName)

  Determines if a certain parameter name is present.

  Specified by:
    `containsParameter` in interface `IUserLayoutChannelDescription`
  Parameters:
    `parameterName` - a `String` parameter name.
  Returns:
    a `boolean` value

### getXML

    public org.w3c.dom.Element getXML(org.w3c.dom.Document root)

  Creates a `org.w3c.dom.Element` representation of the current channel.

  Specified by:
    `getXML` in interface `IUserLayoutChannelDescription`
  Specified by:
    `getXML` in interface `IUserLayoutNodeDescription`
  Specified by:
    `getXML` in class `UserLayoutNodeDescription`
  Parameters:
    `root` - a `Document` for which the `Element` should be created.
  Returns:
    a `Node` value

### addParameterChildren

    public void addParameterChildren(org.w3c.dom.Element node,
                                     org.w3c.dom.Document root)

### addNodeAttributes

    public void addNodeAttributes(org.w3c.dom.Element node)

  Description copied from class: `UserLayoutNodeDescription`
  Add all of common node attributes to the `Element`.

  Specified by:
    `addNodeAttributes` in interface `IUserLayoutNodeDescription`
  Overrides:
    `addNodeAttributes` in class `UserLayoutNodeDescription`
  Parameters:
    `node` - an `Element` value

### getType

    public int getType()

  Returns a type of the node, could be FOLDER or CHANNEL integer constant.

  Specified by:
    `getType` in interface `IUserLayoutNodeDescription`
  Specified by:
    `getType` in class `UserLayoutNodeDescription`
  Returns:
    a type

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `UserLayoutNodeDescription`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD